<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.casic</groupId>
        <artifactId>casic-smartcity</artifactId>
        <version>2.0.0.alpha</version>
        <relativePath>../pom.xml</relativePath>
    </parent>

    <artifactId>casic-alarm</artifactId>
    <version>2.0.0.alpha</version>
    <packaging>jar</packaging>
    <name>casic-alarm</name>
    <description>casic 告警服务子包</description>

    <dependencies>
        <!--基础包依赖-->
        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-core</artifactId>
            <version>${core.version}</version>
        </dependency>
        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-admin-support</artifactId>
            <version>${admin.version}</version>
        </dependency>
        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-device</artifactId>
            <version>${pro.version}</version>
        </dependency>
        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-quartz</artifactId>
            <version>${pro.version}</version>
        </dependency>
        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-server-support</artifactId>
            <version>${pro.version}</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-websocket</artifactId>
            <version>2.4.5</version>
        </dependency>
        <!--spring boot依赖-->
        <!--        <dependency>-->
        <!--            <groupId>org.codehaus.groovy</groupId>-->
        <!--            <artifactId>groovy-all</artifactId>-->
        <!--            <optional>true</optional>-->
        <!--        </dependency>-->
        <!--        <dependency>-->
        <!--            <groupId>com.casic</groupId>-->
        <!--            <artifactId>casic-device</artifactId>-->
        <!--            <version>${pro.version}</version>-->
        <!--        </dependency>-->

        <dependency>
            <groupId>com.gexin.platform</groupId>
            <artifactId>gexin-rp-fastjson</artifactId>
            <version>1.0.0.3</version>
        </dependency>
        <dependency>
            <groupId>com.gexin.platform</groupId>
            <artifactId>gexin-rp-sdk-base</artifactId>
            <version>4.0.0.30</version>
        </dependency>
        <dependency>
            <groupId>com.gexin.platform</groupId>
            <artifactId>gexin-rp-sdk-http</artifactId>
            <version>4.1.0.5</version>
        </dependency>
        <dependency>
            <groupId>com.gexin.platform</groupId>
            <artifactId>gexin-rp-sdk-template</artifactId>
            <version>4.0.0.24</version>
        </dependency>
        <!--其他-->
        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-server-support</artifactId>
            <version>${pro.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>org.quartz-scheduler</groupId>
            <artifactId>quartz</artifactId>
            <version>2.3.0</version>
        </dependency>

        <dependency>
            <groupId>com.casic</groupId>
            <artifactId>casic-export-support</artifactId>
            <version>${extension.version}</version>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>com.baomidou</groupId>
            <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
            <version>2.5.4</version>
        </dependency>

    </dependencies>
    <build>
        <resources>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>**/*.xml</include>
                </includes>
            </resource>
        </resources>
    </build>
</project>